package main

// ZipFile source zipped file
type ZipFile struct {
	Filename string
	Filepath string
	Content  []byte
}

// XMLFile contains prices
type XMLFile struct {
	Content []byte
}

// FuelPricesConfig is the main configuration
type FuelPricesConfig struct {
	ConfigPath     string
	RemoteURL      string
	RemoteFilename string
	XPathBase      string
	Pos            []string
	Types          []string
	Table          string
	InfluxURL      string
	InfluxUser     string
	InfluxPass     string
	InfluxDB       string
}

// Price contains price of points of sale
type Price struct {
	ID     string
	Fuel   string
	Amount float64
}
